import req from '@/request.js'
const portal = window.context.portal
export default {
	/*宏观数据*/
    // 财务一级查询
    oneLevelData(data,cb) {
        req.post(portal + `/qf/operation/macr/v1/oneLevelData`, data).then(res => {
            cb(res.data)
        })
    },
	//下撰
	fromUnderData(data,cb) {
        req.post(portal + `/qf/operation/macr/v1/fromUnderData`, data).then(res => {
            cb(res.data)
        })
    },
	/*运行板块*/
	// 财务一级查询
	oneLevelDataKpi(data,cb) {
	    req.post(portal + `/qf/operation/kpi/oneLevelData`, data).then(res => {
	        cb(res.data)
	    })
	},
	//获取锁所有企业
	enterpriseDataKpi(data,cb) {
	    req.post(portal + `/qf/operation/kpi/enterpriseData`, data).then(res => {
	        cb(res.data)
	    })
	},
	//下撰
	fromUnderDataKpi(data,cb) {
	    req.post(portal + `/qf/operation/kpi/fromUnderData`, data).then(res => {
	        cb(res.data)
	    })
	},
	/*销售板块*/
	// 财务一级查询
	oneLevelDataProduct(data,cb) {
	    req.post(portal + `/qf/operation/statistical/oneLevelData`, data).then(res => {
	        cb(res.data)
	    })
	},
	//获取锁所有企业
	enterpriseDataProduct(data,cb) {
	    req.post(portal + `/qf/operation/product/enterpriseData`, data).then(res => {
	        cb(res.data)
	    })
	},
	//下撰
	fromUnderDataProduct(data,cb) {
	    req.post(portal + `/qf/operation/statistical/fromUnderData`, data).then(res => {
	        cb(res.data)
	    })
	},
	//产品
	getProductList(data,cb) {
	    req.post(portal + `/qf/operation/statistical/getProductList`, data).then(res => {
	        cb(res.data)
	    })
	},
	//类别
	getSubjectList(data,cb) {
	    req.post(portal + `/qf/operation/statistical/getSubjectList`, data).then(res => {
	        cb(res.data)
	    })
	},
}
